import axios from 'axios';
import type {
  TeachingListPageParam,
  TeachingListPageRes,
  TeachingUpdateParams,
} from './types/base';
import { AbleParams } from './types/common';

// 教学点管理
// 教学点管理-查询
export function teachingListPage(
  params: TeachingListPageParam
): Promise<TeachingListPageRes> {
  return axios.post('/api/admin/teaching/query', {}, { params });
}
// 教学点管理-新增编辑
export function updateTeaching(
  datas: TeachingUpdateParams
): Promise<{ id: string }> {
  return axios.post('/api/admin/teaching/save', datas);
}
// 教学点管理-启用禁用
export function ableTeaching(params: AbleParams): Promise<boolean> {
  return axios.post('/api/admin/teaching/enable', {}, { params });
}
// // 教学点管理-导入模板下载
export function teachingTemplate(): Promise<Blob> {
  return axios.post(
    '/api/admin/teaching/template',
    {},
    {
      responseType: 'blob',
    }
  );
}
