import Mock from 'mockjs';
import setupMock, {
  pageListResponseWrap,
  successResponseWrap,
} from '@/utils/setup-mock';

setupMock({
  setup() {
    // Mock.XHR.prototype.withCredentials = true;

    // 教学点列表
    Mock.mock(new RegExp('/api/admin/apply/teaching/list'), () => {
      return successResponseWrap([
        {
          id: '111',
          name: '教学点11',
        },
        {
          id: '222',
          name: '教学点12',
        },
      ]);
    });
    // 考点列表
    Mock.mock(new RegExp('/api/admin/apply/agent/list'), () => {
      return successResponseWrap([
        {
          id: '111',
          name: '考点11',
        },
        {
          id: '222',
          name: '考点12',
        },
      ]);
    });

    // 预约任务查询
    Mock.mock(new RegExp('/api/admin/apply/task/page'), () => {
      return pageListResponseWrap([
        {
          id: '111',
          name: '任务名称',
          selfApplyStartTime: Date.now(),
          selfApplyEndTime: Date.now(),
          openApplyStartTime: Date.now(),
          openApplyEndTime: Date.now(),
          enable: true,
          updateTime: Date.now(),
        },
      ]);
    });

    // 预约名单
    // 预约名单详情分页
    Mock.mock(new RegExp('/api/admin/apply/std/query'), () => {
      return pageListResponseWrap([
        {
          id: 1,
          stdName: '张三',
          identityNumber: '0120553551541',
          studentCode: '123456789',
          teachingName: '东莞学习中心',
          agentName: 'A考点', // 未预约的时候为空
          applyTimePeriod: '2024-03-01 08:00-12:00', // 未预约的时候为空
          roomName: '考场', // 未排考为空
          seatNumber: '1-1', // 未排考为空
          operationTime: Date.now(), // 未预约的时候为空
        },
      ]);
    });
  },
});
