import Mock from 'mockjs';
import setupMock, {
  successResponseWrap,
  failResponseWrap,
} from '@/utils/setup-mock';

import { MockParams } from '@/types/mock';
import { menus } from './datas/user';

setupMock({
  setup() {
    // Mock.XHR.prototype.withCredentials = true;

    // 登录
    Mock.mock(new RegExp('/api/admin/sys/user/login'), (params: MockParams) => {
      const { loginName, password } = JSON.parse(params.body);
      if (!loginName) {
        return failResponseWrap(null, '用户名不能为空', 50000);
      }
      if (!password) {
        return failResponseWrap(null, '密码不能为空', 50000);
      }

      return successResponseWrap({
        id: 1,
        loginName,
        name: '张三',
        sessionId: '123456',
        accessToken: 'abcdef',
        categoryInfo: {
          name: '教学点名称',
          categoryId: '教学点id',
        },
      });
    });

    // 登出
    Mock.mock(new RegExp('/api/admin/sys/user/logout'), () => {
      return successResponseWrap(null);
    });

    // 用户的服务端菜单
    Mock.mock(new RegExp('/api/admin/sys/user/get_menu'), () => {
      return successResponseWrap({
        userId: 1,
        privileges: menus,
      });
    });
  },
});
